import { defineConfig } from 'umi';

export default defineConfig({
  nodeModulesTransform: {
    type: 'none',
  },
  routes: [
    {
      path: '/',
      component: '../layouts/index',
      routes: [
        { path: '/', component: '../pages/index' },
        { path: '/vip', component: '../pages/vip' },
        { path: '/login', component: '../pages/login' },
        { path: '/payRecharge', component: '../pages/recharge' },
        {
          path: '/recharge/callback/alipay',
          component: '../pages/recharge/callback/alipay',
        },
        {
          path: '/recharge/callback/wechat',
          component: '../pages/recharge/callback/wechat',
        },
      ],
    },
  ],
  fastRefresh: {},
  define: {
    'process.env': process.env
  },
  outputPath: './vip',
  proxy: {
    '/api-app': {
      // target: 'http://api.timichat.net/api-app/',
      target: 'http://localhost:9201/api-app/',
      changeOrigin: true,
      pathRewrite: { '^/api-app': '' },
    },
    '/api-common': {
      // target: 'http://api.timichat.net',
      target: 'http://localhost:9230',
      changeOrigin: true,
    },
  },
  hash: true,
});
