import React from 'react';
import { history } from 'umi';
import styles from './index.less';

export default function (props: any) {
  const onSwitch = (value: number) => {
    if (value === 1) {
      window.localStorage.removeItem('userInfo');
    }
    history.push(`/login?cb=${encodeURIComponent(location.pathname)}`);
  }
  const { rechargeUserInfor } = props;
  const userInfo = window.localStorage.getItem('userInfo');
  const medium = userInfo ? JSON.parse(userInfo) : null;
  return (
    <>
      <div className={styles.userCard}>
        <div className={styles.wrapper}>
          <div style={{ display: 'flex' }}>
            <div className={styles.avatar}>
              {medium && medium.userAvatar ? (
                <img
                  src={medium.userAvatar}
                  width={40}
                  height={40}
                  style={{ borderRadius: 40 }}
                />
              ) : null}
            </div>
            <div className={styles.info}>
              <div className={styles.name}>
                {medium ? medium.userName : '请先登录后充值'}
              </div>
              {medium ? <div className={styles.tips}>
                ID:{medium.userNo}
              </div> : <div onClick={() => onSwitch(0)} className={styles.login_btn}>立即登录</div>}
            </div>
          </div>
          {medium && <div onClick={() => onSwitch(1)} className={styles.switch_btn}>切换账号</div>}
        </div>
      </div>
      {medium &&
        <div className={styles.recharge_user}>
          <div>充值账号ID：
          <span>
              {rechargeUserInfor ? rechargeUserInfor.userNo : medium.userNo}
              ({rechargeUserInfor ? rechargeUserInfor.userName : medium.userName})
            </span>
          </div>
          <div onClick={props.onShowInputUser} style={{ color: '#5D26FF' }}>修改</div>
        </div>}
    </>
  );
}
